Skip to main content
`Ctrl`+`K`

# PetscSortedRemoveDupsInt

Removes all duplicate entries of a sorted `PetscInt` array

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSortedRemoveDupsInt(PetscInt *n, PetscInt X[])

Not Collective

## Input Parameters

- n - number of values

- X - sorted array of `PetscInt`

## Output Parameter

- n - number of non-redundant values

## See Also

`PetscSortInt()`

## Level

intermediate

## Location

src/sys/utils/sorti.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages